<!DOCTYPE HTML>
<html>
    <head>

        <!-- Mobile Responsive Meta Tag -->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap Link -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

        <title>Bootstrap Introduction and Simple Styles</title>

    </head>
    <body class="text-center bg-secondary">

        <!-- Header -->

        <section class="m-1"> 
        	<nav class="bg-primary fixed-top text-light text-center py-0">Fixed Top</nav>> 
		</section>

		<section class="m-1  py-2">
	        <div class="text-center">

	            <h1>Bootstrap Introduction and Simple Styles</h1>

	            <div class="d-none d-lg-inline-block w-25 mt-4">
	                <img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
	            </div>

	        </div>
            <!-- End of Header -->
        </section>
      

        <section class="mt-1 px-5  py-2">
        <!-- Bootstrap Utility Classes -->
	        <div class="container-fluid">

	            <!-- Bootstrap Color Classes Table -->
	            <h2>Bootstrap Color Classes</h2>

	            <table class="table table-dark table-bordered">
	                <thead>
	                    <tr>
	                        <th>Text</th>
	                        <th>Background</th>
	                    </tr>
	                </thead>
	                <tbody>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-primary">
	                                Primary link
	                            </a>
	                        </td>
	                        <td class="bg-primary text-white">
	                            Primary
	                        </td>
	                    </tr>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-secondary">
	                                Secondary link
	                            </a>
	                        </td>
	                        <td class="bg-secondary text-white">
	                            Secondary
	                        </td>
	                    </tr>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-success">
	                                Success link
	                            </a>
	                        </td>
	                        <td class="bg-success text-white">
	                            Success
	                        </td>
	                    </tr>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-danger">
	                                Danger link
	                            </a>
	                        </td>
	                        <td class="bg-danger text-white">
	                            Danger
	                        </td>
	                    </tr>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-warning">
	                                Warning link
	                            </a>
	                        </td>
	                        <td class="bg-warning text-white">
	                            Warning
	                        </td>
	                    </tr>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-info">
	                                Info link
	                            </a>
	                        </td>
	                        <td class="bg-info text-white">
	                            Info
	                        </td>
	                    </tr>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-light">
	                                Light link
	                            </a>
	                        </td>
	                        <td class="bg-light text-dark">
	                            Light
	                        </td>
	                    </tr>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-dark">
	                                Dark link
	                            </a>
	                        </td>
	                        <td class="bg-dark text-white">
	                            Dark
	                        </td>
	                    </tr>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-muted">
	                                Muted link
	                            </a>
	                        </td>
	                        <td class="bg-transparent text-white">
	                            Transparent
	                        </td>
	                    </tr>
	                    <tr>
	                        <td>
	                            <a href="#" class="text-white">
	                                White link
	                            </a>
	                        </td>
	                        <td class="bg-white text-dark">
	                            White
	                        </td>
	                    </tr>
	                </tbody>
	            </table>
	            <!-- End of Bootstrap Color Classes Table -->

	            <!-- Bootstrap Text Alignment Classes Table -->
	            <h2>Bootstrap Text Classes</h2>

	            <table class="table table-dark text-light table-bordered">
	                <thead>
	                    <tr>
	                        <th>Alignment</th>
	                    </tr>
	                </thead>
	                <tbody>
	                    <tr>
	                        <td class="text-left">Left</td>
	                    </tr>
	                    <tr>
	                        <td class="text-center">Center</td>
	                    </tr>
	                    <tr>
	                        <td class="text-right">Right</td>
	                    </tr>
	                    <tr>
	                        <!-- For extra small screens or small mobile phones, we can avoid using breakpoints -->
	                        <!-- All mobile views in Google Chrome browser are considered small screen sizes -->
	                        <!-- Screen size is greater than or equal to 576px -->
	                        <!-- Larger mobile phones -->
	                        <td class="text-sm-center">Small Center</td>
	                    </tr>
	                    <tr>
	                        <!-- Screen size is greater than or equal to 786px -->
	                        <!-- Tablets -->
	                        <td class="text-right text-md-left"> Others Right/Medium Left</td>
	                    </tr>
	                    <tr>
	                        <!-- Screen size is greater than or equal to 992px -->
	                        <!-- Desktop -->
	                        <td class="text-lg-right">Large Right</td>
	                    </tr>
	                    <tr>
	                        <!-- Screen size is greater than or equal to 1200px -->
	                        <!-- TV and other large screens -->
	                        <td class="text-xl-center">Extra Large Center</td>
	                    </tr>
	                </tbody>
	            </table>

	            <!-- End of Bootstrap Text Alignment Classes Table -->


	            <h2>Activity Step 3</h2>
	            <table  class="table table-dark text-light table-bordered">
	           		<thead>
	                    <tr>
	                        <th>Texts</th>
	                    </tr>
	                </thead>
	                <tbody>
	                	<tr>
	                		<td> <p class="text-lowercase font-bold">Lower bold Case</p></td>
	                	</tr>
	                	<tr>
	                		<td> <p class="text-uppercase">Upper Case</p></td>
	                	</tr>
	                	<tr>
	                		<td> <p class="text-capitalized">Capitalized Case</p></td>
	                	</tr>
	                	<tr>
	                		<td> <p class="font-italic text-decoration-none">No Text Decoration and Italic</p></td>
	                	</tr>                              	
	                </tbody>
	            </table>





	            <h2>Activity Step 4</h2>
	            <table  class="table table-dark text-light table-bordered">
	           		<thead>
	                    <tr>
	                        <th>Borders</th>
	                    </tr>
	                </thead>
	                <tbody >
	                	<tr class="m-5 pt-5" >
	                		<td class="border border-primary bg-info rounded ">Rounded</td>
	                	</tr>
	                	<tr>
	                		<td class="border border-primary bg-warning rounded-circle">Rounded Circle</td>
	                	</tr>
	                	<tr>
	                		<td class="border border-primary bg-danger rounded-pill">Rounded Pils</td>
	                	</tr>                            	
	                </tbody>
	            </table>
	        </div>
        </section>

        <section class=" pt-2">
	        <footer class="bg-primary fixed-bottom text-light text-center py-0">Fixed Bottom</footer> 
        </section>

        <!-- Bootstrap Script -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
        <!-- End of Bootstrap Script -->

    </body>
</html>




<!-- 


S09 Activity
Activity Resources:
Discussion
https://gitlab.com/tuitt/students/batch270/resources/frontend/s09/discussion
Activity
https://gitlab.com/tuitt/students/batch270/resources/frontend/s09/activity

Activity References:
Bootstrap Text Utility Classes
- https://getbootstrap.com/docs/4.6/utilities/text/
What is Mobile First Design
- https://medium.com/@Vincentxia77/what-is-mobile-first-design-why-its-important-how-to-make-it-7d3cf2e29d00
Bootstrap Border Utility Classes
- https://getbootstrap.com/docs/4.6/utilities/borders/
Bootstrap Sizing Utility Classes
- https://getbootstrap.com/docs/4.6/utilities/sizing/
HTML Blocks
- https://www.tutorialspoint.com/html/html_blocks.htm
- https://www.w3schools.com/html/html_blocks.asp
HTML Elements
- https://developer.mozilla.org/en-US/docs/Glossary/Element
Bootstrap Position Utility Classes
- https://getbootstrap.com/docs/4.6/utilities/position/
Bootstrap Spacing Utility Classes
- https://getbootstrap.com/docs/4.6/utilities/spacing/
Bootstrap Display Utility Classes
- https://getbootstrap.com/docs/4.6/utilities/display/
Bootstrap Image Utility Classes
- https://getbootstrap.com/docs/4.6/content/images/




Activity:
1. In the S09 folder, create an activity folder.
2. Clone/copy the template for the activity.html file provided by your instructor.
3. Add a table that will implement the following Bootstrap classes:
- Lower Case
- Upper Case
- Capitalized
- No Text Decoration and Italic
4. Add another table that will implement the following Bootstrap classes:
- Rounded
- Rounded Circle
- Rounded Pill
5. Create a simple navbar and footer element using div elements and apply the following Bootstrap classes
- Fixed Top
- Fixed Bottom

6. Add Bootstrap Spacing classes to the following sections to adjust the layout and create vertical spacing between the following elements:
- Navbar Section
- Header section (Contains the title of the session and the image)
- Content section (Contains the tables)
- Footer Section
7. Clone/copy the template for the activity2.html file provided by your instructor.
8. Apply Bootstrap to the project by adding all the dependencies.
9. Apply Bootstrap classes to the following:
- Navbar
- Footer
- About Me Section
- Projects Section
10. Create a git repository named S09.
11. Initialize a local git repository, add the remote link and push to git with the commit message of Add activity code.
12. Add the link in Boodle.
 -->